Subject: [v6ops] draft-v6ops-ipv6rtr-reqs and 6434bis consistency pass

From: Tim Chown <[email-masked]>
Date: Wed, 7 Feb 2018 10:07:09 +0000

Hi,

We just published draft-ietf-6man-rfc6434-bis-03, which has now entered WGLC in 6man.

Below are the differences the authors noted between draft-v6ops-ipv6rtr-reqs-01, and 6434bis, with our resolutions for 6434bis.  The authors of draft-v6ops-ipv6rtr-reqs may or may not wish to take note... differences that remain are highlighted as (*) for less significant differences and (**) for more significant ones. 

In the following notes, the comments are relative to draft-v6ops-ipv6rtr-reqs-01.

Different: DHCPv6 MUST be supported
(**) Resolution: 6434bis remains a SHOULD

Additional: SLAAC MUST be able to be disabled
Resolution: Not added to 6434bis.
Suggestion: draft-v6ops-ipv6rtr-reqs could say "the device shouldn't perform DAD for it's manually configured address."?

Different: RFC 7217 is a SHOULD, where we say support RFC 7217 unless there's a need to embed MAC address
(*) Resolution: 6434bis unchanged.

Different: RFC 7934 and RFC 8273 are SHOULDs, we just note that RFC 7934 recommends nodes support multiple addresses, while RFC 8273 is a SHOULD.
Resolution: both now a SHOULD in 6434bis as well.

Different: RFC 7527 is a MUST, we say it's a SHOULD (Enhanced DAD)
(**) Resolution: 6434bis has kept it as a SHOULD.

Different: RFC 7772 a SHOULD, we say it's a MAY if power consumption is an issue
Resolution: 6434bis changed to a SHOULD.

Additional: RFC 3646 a MUST (DNS config for DHCPv6 servers)
(**) Resolution: 6434bis now says "if doing DHCPv6, then must also do RFC3464"

Additional: RESTCONF mentioned as well as NETCONF/RFC 6241
Resolution: RESTCONF added to 6434bis.

Additional: RFC 5424 (syslog) is a SHOULD
(*) Resolution: syslog not mentioned in 6434bis.

Different: RFC 4821 SHOULD be supported, where we just mention it exists and that it avoids some problems of RFC 8201.
(*) Resolution: 6434bis unchanged.

Tim

---

From: "STARK, BARBARA H" <[email-masked]>
Date: Wed, 7 Feb 2018 14:28:57 +0000

As long as (proposed) router requirements do not decrease the mandatory nature of a 6434bis requirement (e.g., make a MUST a SHOULD or make a SHOULD a MAY or NOT RECOMMENDED), I see no problem. There is no need for the 2 documents to match. Router requirements are for a specific subset of nodes. Node requirements need to be generic enough to satisfy (most) all nodes. For router requirements to have requirements that do not exist in 6434bis or to strengthen requirements from 6434bis (e.g., make a 6434bis SHOULD into a router requirement MUST) is 100% acceptable.

I consider all of the listed "inconsistencies" acceptable. I don't recommend any of the proposed "resolutions". I'll send additional comments to 6man.
Barbara

> -----Original Message-----
> From: v6ops [mailto:[email-masked]] On Behalf Of Tim Chown
> Sent: Wednesday, February 07, 2018 5:07 AM
> To: V6 Ops List <[email-masked]>
> Cc: John Loughney <[email-masked]>
> Subject: [v6ops] draft-v6ops-ipv6rtr-reqs and 6434bis consistency pass
> 
> Hi,
> 
> Below are the differences the authors noted between draft-v6ops-ipv6rtr-
> reqs-01, and 6434bis, with our resolutions for 6434bis.  The authors of draft-
> v6ops-ipv6rtr-reqs may or may not wish to take note... differences that
> remain are highlighted as (*) for less significant differences and (**) for more
> significant ones.
> 
> Suggestion: draft-v6ops-ipv6rtr-reqs could say "the device shouldn't perform
> DAD for it's manually configured address."?
> 
> Different: RFC 7934 and RFC 8273 are SHOULDs, we just note that RFC 7934
> recommends nodes support multiple addresses, while RFC 8273 is a SHOULD.
> Different: RFC 4821 SHOULD be supported, where we just mention it exists
> and that it avoids some problems of RFC 8201.
> _______________________________________________
> v6ops mailing list
> [email-masked]
> https://urldefense.proofpoint.com/v2/url?u=https-
> 3A__www.ietf.org_mailman_listinfo_v6ops&d=DwICAg&c=LFYZ-
> o9_HUMeMTSQicvjIg&r=LoGzhC-8sc8SY8Tq4vrfog&m=yPxI7mIm-
> FtpInr4sIpH7so_xlGTBrUs1pW70lUgKh4&s=zIp7vQn7oXpjzxbxKkYf1Wg_kDUi
> zPHRO-vFAF-fesE&e=

---

From: Tim Chown <[email-masked]>
Date: Wed, 7 Feb 2018 15:51:10 +0000

Hi Barbara,

> On 7 Feb 2018, at 14:28, STARK, BARBARA H <[email-masked]> wrote:
> 

I considered cross-posting to both WGs, but thought it better to avoid duplicating emails.  

I agree with your first paragraph above. I *think* we've met that.

Please do take any issues with the 6434bis document up in 6man, and we can discuss those there, many thanks.  The "resolution" was the outcome of some emails between the authors and (one of) the WG chairs, and would better be expressed as a "proposed resolution" :)

Best wishes,
Tim

---

From: <[email-masked]>
Date: Fri, 9 Feb 2018 09:31:47 -0500

Thanks -- I will look at these in the next revision -- which should be in a couple of weeks, I think.

😊

Russ

> Sent: Wednesday, February 7, 2018 5:07 AM
> https://www.ietf.org/mailman/listinfo/v6ops